package org.project.item.weapons;

public abstract class Weapon {
    private String name;
    private int damage;
    private int staminaCost;

    public Weapon(String name, int damage, int staminaCost) {
        this.name = name;
        this.damage = damage;
        this.staminaCost = staminaCost;
    }

    public String getName() {
        return name;
    }

    public int getDamage() {
        return damage;
    }

    public int getStaminaCost() {
        return staminaCost;
    }
}
